как работать с типом UV и XYZ ?

Главная Форумы Задать вопрос как работать с типом UV и XYZ ?

В этой теме 2 ответа, 2 участника, последнее обновление  Legantmar 1 месяц, 3 нед. назад.

Просмотр 3 сообщений - с 1 по 3 (из 3 всего)
  • Автор
    Сообщения
  • #8066 Score: 0

    Ром
    Участник

    Добрый день. Подскажите пожалуйста коллеги, где взять UV as Point в данном случаи?

    #8084 Score: 0

    Ром
    Участник

    Коллеги, подскажите пожалуйста, чего ему нужно?

     

    сам скрипт вот:

    elem = U(IN[1])
    mat = U(IN[2])
    vectors = []
    res = []

    gemElem = elem.get_Geometry(Options())

    for geomOBJ in gemElem:
    if isinstance(geomOBJ, Autodesk.Revit.DB.Solid):
    faces = geomOBJ.Faces
    for face in faces:
    Normal = face.ComputeNormal(Point(0,0))
    vectors.append(Normal)

    в конечном итоге, мне нужно получить нормали от поверхностей(face).

    #8093 Score: 0

    Legantmar
    Хранитель
    435 pts

    я ответа не знаю.
    но посмотри в соседней теме uv1 = host[i].UVParameterAtPoint(pts[i])

Просмотр 3 сообщений - с 1 по 3 (из 3 всего)

Для ответа в этой теме необходимо авторизоваться.